package com.ruoyi.invest.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;
import java.util.Date;
/**
 * 期货股票基本信息对象 future_stocks
 *
 * @author tianyongbao
 * @date 2024-03-19
 */
@ApiModel("期货股票基本信息对象")
@Data
public class FutureStocks extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @ApiModelProperty(value="名称)")
    @NotNull(message="名称不能为空")
    @Excel(name = "名称")
    private String name;

    /** 类型，1期货，2股票 */
    private String type;

    /** 账号 */
    @ApiModelProperty(value="账号)")
    @NotNull(message="账号不能为空")
    @Excel(name = "账号")
    private String code;

    /** 密码 */
    private String password;

    /** 期货交易中心账号 */
    @ApiModelProperty(value="期货交易中心账号)")
    @NotNull(message="期货交易中心账号不能为空")
    @Excel(name = "期货交易中心账号")
    private String tradingCenterCode;

    /** 期货交易中心密码 */
    private String tradingCenterPassword;

    /** 资金密码 */
    private String fundPassword;

    /** 手续费 */
    @ApiModelProperty(value="手续费")
    @Excel(name = "手续费")
    private String commission;

    /** 保证金 */
    @ApiModelProperty(value="保证金")
    @Excel(name = "保证金")
    private String bond;

    /** 关联储蓄卡 */
    @ApiModelProperty(value="关联储蓄卡)")
    @NotNull(message="关联储蓄卡不能为空")
    @Excel(name = "关联储蓄卡")
    private Long debitCard;

    /** 开户日期 */
    @ApiModelProperty(value="开户日期)")
    @NotNull(message="开户日期不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开户日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date activationDate;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("code", getCode())
            .append("password", getPassword())
            .append("tradingCenterCode", getTradingCenterCode())
            .append("tradingCenterPassword", getTradingCenterPassword())
            .append("fundPassword", getFundPassword())
            .append("commission", getCommission())
            .append("bond", getBond())
            .append("debitCard", getDebitCard())
            .append("activationDate", getActivationDate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .toString();
    }
}
